# Compatible plugins

### [LuckPerms](https://luckperms.net/)

* For Permission rewards to work
* You can also define LuckPerms registered contexts for the reward permissions
* Suppose you add new permissions as rewards later on in your config. In that case, the plugin will automatically add those permissions to the players even if the reward is level 15 and your players are already level 100. (NOTE: previously configured permissions won't get removed)

### [WorldGuard](https://dev.bukkit.org/projects/worldguard)

* Two flags: `aurora-levels-min-level-entry` and `aurora-levels-max-level-entry` to restrict who can enter a WorldGuard region.

### [AuraSkills](https://aurelium.dev/auraskills)

* For `auraskills_stat` reward to work
* Give AuraSkills stats as rewards and use stat symbols and names as placeholders directly from AuraSkills as you configured
* If you want to balance the reward stats later on, the plugin will automatically correct bonus player stats for you after you change the config.

### [PlaceholderAPI](https://www.spigotmc.org/resources/placeholderapi.6245/)

* You can use some PAPI placeholders that the plugin provides, like `aurora_level`, `aurora_level_xp`, `aurora_level_xpnext`

### [Mythic(Mobs)](https://mythiccraft.io/)

* For `mythic_stat` reward to work
* Give Mythic stats as rewards and use stat names and tooltips as placeholders directly from MythicMobs as you configured
* If you want to balance the reward stats later on, the plugin will automatically correct bonus player stats for you after you change the config.

For Mythic, there are 1 custom condition and 2 custom mechanics that AuroraLevels provides to use in your Mythic skills.

#### Has level condition

example usage for canceling a skill when the caster's level is below 10:

```yaml
Skills:
  - "cancelevent{sync=true} ~onUse ?~hasAuroraLevel{l=10}"
```

#### Add aurora-level mechanic

example usage for adding 2 extra levels to a player when a Mythic mob dies:

```yaml
Skills:
  - "addAuroraLevel{l=2} @trigger ~onDeath"
```

#### Give AuroraLevels XP mechanic

example usage for giving XP to a player when a Mythic mob dies:

```yaml
Skills:
  - "giveAuroraXP{xp=10} @trigger ~onDeath"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.auroramc.gg/auroralevels/compatible-plugins.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
